// A hacky way to use a smart remote to control your Arduino remotly with Alexa. 



// Import library. To install this make sure you are connected to the internet and in press Ctr+shift+i.
// Then you search for the library in the searbox 'IRremote' Install the one by Sherriff and press install.
#include <IRremote.h>
#include <Servo.h>

int Servo1 = 3;  //PWM pin that is connected to the servo_1
int Servo2 = 5;  //PWM pin that is connected to the servo_2
const int RECV_PIN = 10; // The pin you connected the IR receiver with. This must be a pin with PWM.
IRrecv irrecv(RECV_PIN);
decode_results results;
Servo demoServo;        //create a servo object


void setup(){
  Serial.begin(9600);
  irrecv.enableIRIn();
  irrecv.blink13(true); // This makes the LED blink when receiving an IR command. 
  

}

void loop(){
  
if (irrecv.decode(&results)){
       Serial.println(results.value, HEX);


// Why I attach and detach the pins is because I had troubles with my Arduino Mini and the siganel of the servo. 
// When I don't use the detach the signal of the servomotor would be interpeted as IR codes and caused errors when reading IR codes.

  if (results.value == 0xC)
{
      demoServo.attach(Servo1);
      Serial.println("Seafox 1 = signal C");
      demoServo.write(180);
      Serial.println("servo 180");
      delay(4000);
      Serial.println("end of delay");
      demoServo.write(60); 
      Serial.println("servo 60");
      delay(100);
      demoServo.detach();

           
  }


  if (results.value == 0xA90)
{
      demoServo.attach(Servo2);
      Serial.println("Seafox 2 = signal A90");
      demoServo.write(180);
      Serial.println("servo 180");
      delay(10000);
      Serial.println("end of delay");
      demoServo.write(60); 
      Serial.println("servo 60");
      delay(100);
      demoServo.detach();
           
  }

  if (results.value == 0xFFE21D)
{
      Serial.println("Seafox 3 = signal FFE21D");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0x80c)
{
      Serial.println("Seafox 4 = signal 80c");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0x7070D02F)
{
      Serial.println("Seafox 5 = signal 7070D02F");
        
      // put your code to do the action you want to do here. 
           
  }

  if (results.value == 0xFF629D)
{
      Serial.println("Seafox 6 = signal FF629D");
        
      // put your code to do the action you want to do here. 
           
  }



  if (results.value == 0xFB030D00)
{
      Serial.println("Seafox 7 = signal FB030D00");
        
      // put your code to do the action you want to do here. 
           
  }

   if (results.value == 0x8D1F6BD6)
{
      Serial.println("Seafox 8 = signal 8D1F6BD6");
        
      // put your code to do the action you want to do here. 
           
  }


   if (results.value == 0x84c)
{
      Serial.println("Seafox 9 = signal 84c");
        
      // put your code to do the action you want to do here. 
           
  }


   if (results.value == 0x1010F00F)
{
      Serial.println("Seafox 10 = signal 1010F00F");
        
      // put your code to do the action you want to do here. 
           
  }

delay(100);
irrecv.resume();
        
  }



}
